freetype (2.10.1-2ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2023-2004.patch: fix a integer overflow
      in src/truetype/ttgxvar.c.
    - CVE-2023-2004

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 02 May 2023 08:24:45 -0300

freetype (2.10.1-2ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow in sfnt_init_face
    - debian/patches/CVE-2022-27404.patch: avoid invalid face index in
      src/sfnt/sfobjs.c.
    - CVE-2022-27404
  * SECURITY UPDATE: Segmentation violation in FNT_Size_Request
    - debian/patches/CVE-2022-27405.patch: properly guard face_index in
      src/base/ftobjs.c.
    - CVE-2022-27405
  * SECURITY UPDATE: Segmentation violation in FT_Request_Size
    - debian/patches/CVE-2022-27406.patch: guard face->size in
      src/base/ftobjs.c.
    - CVE-2022-27406
  * SECURITY UPDATE: Heap-based buffer overflow in ftbench demo
    - debian/patches/CVE-2022-31782.patch: check the number of glyphs in
      ft2demos/src/ftbench.c.
    - CVE-2022-31782

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 19 Jul 2022 11:28:34 -0400

freetype (2.10.1-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: heap buffer overflow via integer truncation in
    Load_SBit_Png
    - debian/patches/CVE-2020-15999.patch: Update src/sfnt/pngshim.c to
      test and reject invalid bitmap size earlier in Load_SBit_Png. Based on
      upstream patch.
    - CVE-2020-15999

 -- Alex Murray <alex.murray@canonical.com>  Tue, 20 Oct 2020 12:37:23 +1030

freetype (2.10.1-2) unstable; urgency=medium

  * Release to unstable.
  * debian/control:
    - Raise Standards-Version to 4.4.1 from 4.4.0 (no changes needed).
    - Add Rules-Requires-Root: no.
  * debian/rules:
    - Move the FreeType API Reference location to docs/reference to revert an
      incorrect upstream change introduced in FreeType 2.10.
    - Update dh_installdocs-indep path exclusion to account for the change to
      the API Reference path.
  * debian/patches:
    - Drop fix-api-reference-hyperlink.patch.
    - Add a patch to fix broken JavaScript paths in the documentation.
  * freetype2-doc:
    - Update the API Reference path in the doc-base file.
    - Update Lintian overrides.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 07 Oct 2019 23:42:48 +1100

freetype (2.10.1-1) experimental; urgency=medium

  * New upstream release.
  * libfreetype6-dev has been renamed to libfreetype-dev.
    - libfreetype6-dev is now a transitional package.
    - Please update your build dependencies accordingly.
  * debian/libfreetype6.symbols: Update for FreeType 2.10.1
    - FT_Outline_New_Internal and FT_Outline_Done_Internal have been removed.
      These functions were public by oversight only and were never documented.
    - FreeType's library soname remains unchanged.
  * debian/control:
    - freetype2-doc now Recommends fonts-noto-core.
  * debian/copyright: Update for FreeType 2.10.1.
    - Upstream removed several files in FreeType 2.10.
    - Some new files were added and have their own licences.
  * debian/patches:
    - Drop no-uninitialized-bbox.patch and compiler_hardening_fixes.patch.
      These patches were accepted upstream.
    - Drop revert-wrong-extern.patch (no longer needed).
    - Add a patch to prevent use of fonts.gstatic.com and fonts.googleapis.com
      in the FreeType 2 documentation.
    - Add a patch to fix broken hyperlinks to the FreeType API Reference.
    - Refresh all other patches.
  * debian/rules:
    - Correctly parse FreeType's release version for dh_makeshlibs.
  * freetype2-doc:
    - Most of the documentation is now located in the 'site' sub-directory
      due to an upstream change.
    - Exclude Material Icons and Font Awesome from installation.
    - Add a Lintian override to prevent warnings about duplicate favicons.
    - Update the doc-base file.
  * Add a Debian upstream metadata file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 16 Aug 2019 20:42:30 +1000

freetype (2.9.1-4) unstable; urgency=medium

  * debian/compat: Remove legacy file.
  * debian/control:
    - Build-Depend on debhelper-compat (version 12).
    - Raise Standards-Version to 4.4.0 (no changes needed).
    - Demote Recommends: freetype2-doc to Suggests (Closes: #919284).
  * debian/patches:
    - Add an upstream patch to properly handle phantom points for variable
      hinted fonts (Closes: #932303).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 24 Jul 2019 19:59:39 +1000

freetype (2.9.1-3) unstable; urgency=medium

  * Release to unstable.
  * libfreetype6-dev: No longer install freetype2.m4, as its functionality has
    been superseded by pkg-config.
  * libfreetype6.symbols: Specify libfreetype6-dev in the Build-Depends-Package
    meta-information field.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 22 Nov 2018 21:15:00 +1100

freetype (2.9.1-2) experimental; urgency=medium

  * debian/control:
    - Raise Standards-Version to 4.2.1 (no changes needed).
    - Add Vcs-* fields and point to Salsa.
    - Drop Pre-Depends on dpkg since the required package is in Debian Jessie.
    - Update the libfreetype6-dev package description.
  * debian/rules:
    - Use override_dh_installdocs-indep with freetype2-doc to fix FTBFS when
      only building arch:any binaries.
    - Remove 'dh_installdocs --remaining-packages' from the
      dh_installdocs-indep override as we are only building one
      architecture-independent package.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 24 Sep 2018 22:45:38 +1000

freetype (2.9.1-1) experimental; urgency=medium

  * New maintainer: Hugh McMaster
    - A big thank you to Steve Langasek for maintaining freetype over
      the past 12 years.
  * New upstream release (Closes: #901052):
    - Avoid dereferencing a NULL pointer (CVE-2018-6942) (Closes: #890450).
    - The `freetype-config' script is no longer installed by default
      (Closes: #871470, #886461). All packages depending on libfreetype6-dev
      should use pkg-config to find the relevant CFLAGS and libraries.
    - Fix unaligned access failures caused by 'mmvar' array pointers in the
      TrueType font driver (Closes: #898983).
    - Infinality patches previously integrated upstream (Closes: #698192).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debhelper package compatibility to level 11.
  * Introduce freetype2-doc:
    - Move the development documentation from libfreetype6-dev.
    - Declare Replaces+Breaks against libfreetype6-dev.
    - Update the package's doc-base registration.
    - Comment out references to fonts.googleapis.com (Closes: #873432).
    - Add a Dependency on libjs-jquery.
    - Do not install the source jQuery library. Instead, add a symlink
      to the equivalent library provided by Debian.
  * debian/changelog:
    - Remove trailing whitespace.
  * debian/control:
    - Build-Depend on debhelper version 11.
    - Remove the version requirement from the gettext Build-Dependency.
    - Remove automake and quilt from the Build-Depends list.
    - Add libjs-jquery to the Build-Depends list.
    - Raise Standards-Version from 4.0.0 to 4.2.1.
    - Use secure HTTP for the Homepage URI.
    - Update package descriptions.
    - Mark freetype2-demos Multi-Arch: foreign.
    - Rename the XC-Package-Type field to Package-Type.
  * debian/copyright:
    - Use secure HTTP in the Format and Source fields.
    - Update for FreeType 2.9.1.
  * debian/missing-sources:
    - Add source files for jquery.ba-resize.min.js and jquery-1.11.0.min.js.
  * debian/patches:
    - Convert freetype_2.8.1-2.diff into patches.
    - Remove an unused patch: enable-old-cff.patch
    - Remove freetype-config-multi-arch.patch (no longer needed).
    - Refresh other patches.
    - no-web-fonts.patch: Comment out references to fonts.googleapis.com.
    - hide-donations-information.patch: Hide donations information in the
      documentation to prevent several lintian errors.
  * debian/rules:
    - Include the /usr/share/dpkg/pkg-info.mk Makefile library instead of
      calling 'dpkg-parsechangelog'.
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove special handling for libpng12.
    - Remove a legacy workaround for gcc-4.4.
    - Remove legacy 'unpack', 'patch' and 'get-orig-source' recipes.
    - Remove un-needed debhelper overrides and legacy code.
    - Copy docs/CHANGES as docs/NEWS to comply with Debian policy 12.7.
  * Update the libfreetype6 symbols file for FreeType 2.9.1.
  * Add a debian/watch file.
  * Add an upstream cryptographic signature.
  * Remove debian/freetype2-demos.dirs, debian/libfreetype6-udeb.dirs and
    debian/README.source (no longer needed).
  * Update lintian overrides for the freetype source package.
  * Add lintian overrides for freetype2-demos and freetype2-doc.
  * Convert /usr/share/doc/freetype2-demos and /usr/share/doc/libfreetype6-dev
    symlinks to directories.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 14 Jul 2018 18:57:54 +1000

freetype (2.8.1-2) unstable; urgency=high

  * debian/rules: fix SIZEOF_LONG mangling to avoid over-broad matching.
    Closes: #887087.

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Feb 2018 07:49:55 +0000

freetype (2.8.1-1) unstable; urgency=medium

  * Acknowledge NMUs; thanks to Laurent for the uploads.
    Closes: #857439, #863623.
  * debian/control:
    - Add pkg-config to the Build-Depends list (Closes: #885324).
    - Mark libfreetype6-dev Multi-Arch: same (Closes: #642354).
    - Remove the deprecated Priority: extra field from libfreetype6-udeb.
  * debian/patches/patches-*: Refresh existing patches.
  * debian/patches/patches-freetype/freetype-config-multi-arch.patch:
    - Remove the arch-dependent output of `freetype-config --libs`.
      Closes: #871470, #870618.
    - Exit with an error if freetype-config is called with --libtool.
  * debian/rules:
    - Include /usr/share/dpkg/architecture.mk.
    - Dynamically generate the shlibs dependency version (Closes: #883698).
    - Replace the autoconf definition of SIZEOF_LONG with the compile-time
      constant __SIZEOF_LONG__ to make libfreetype6-dev multi-arch compatible.
  * Thanks to Hugh McMaster <hugh.mcmaster@outlook.com> for preparing these
    changes.

 -- Steve Langasek <vorlon@debian.org>  Fri, 05 Jan 2018 00:42:36 +0000

freetype (2.8.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #876132)
    - Refresh debian/patches-ft2demos/compiler_hardening_fixes.patch,
      partially fixed upstream
    - debian/libfreetype6.symbols: Add newly export symbol

 -- Laurent Bigonville <bigon@debian.org>  Mon, 18 Sep 2017 22:42:21 +0200

freetype (2.8-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Hide private symbols as upstream is intending (Closes: #863411)
  * Upload to unstable
  * Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Jun 2017 19:41:24 +0200

freetype (2.8-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    - Better protect `flex' handling (CVE-2017-8105) (Closes: #861220)
    - t1_builder_close_contour: Add safety guard (CVE-2017-8287)
      (Closes: #861308)
    - tt_size_reset: Do nothing for CFF2 (CVE-2017-7864) (Closes: #860313)
    - Improve handling for buggy variation fonts (CVE-2017-7857 CVE-2017-7858)
      (Closes: #860307)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 26 May 2017 17:39:07 +0200

freetype (2.7.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #837800)
    - debian/patches-freetype, debian/patches-ft2demos: Refreshed
    - Improve the recursive reference detector (Closes: #841029)
    - Fix heap buffer overflow (Closes: #856971 CVE-2016-10244)
  * d/p-freetype/Revert-builds-unix-unix-cc.in-LINK_LIBRARY-Use-expor.patch:
    Revert upstream commit that added the -export-symbols option to libtool,
    we need to review the symbols used in debian before we can hide the
    private one.
  * debian/libfreetype6.symbols: Make any application depending on private
    symbols depend against an invalid package, this will help us to find out
    which packages (if any) are abusing the API.
  * debian/control: Remove duplicate Section to please lintian
  * debian/control: Bump Standards-Version 3.9.8 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Mar 2017 08:25:00 +0100

freetype (2.6.3-3) unstable; urgency=medium

  * Install the now-available-upstream manpages for freetype-demos.
    Closes: #131137.
  * Register all of the HTML documentation with doc-base.  Closes: #451660.
  * Suppress lintian warning about symbols file declaring dependency on
    other package, which is entirely by design.

 -- Steve Langasek <vorlon@debian.org>  Tue, 01 Mar 2016 06:43:44 +0000

freetype (2.6.3-2) unstable; urgency=medium

  * Adjust symbols file to actually produce invalid dependencies when
    internal symbols are used, as intended.

 -- Steve Langasek <vorlon@debian.org>  Tue, 01 Mar 2016 03:29:18 +0000

freetype (2.6.3-1) unstable; urgency=medium

  * New upstream release.  Closes: #812518, LP: #1521299
    - stem darkening now disabled by default.  Closes: #801370.
  * Avoid marking private symbols as supported from 2.6.1 on.  Apparently
    dpkg-gensymbols doesn't do what I expected for this kind of declaration
    anyway, but we should at least avoid marking them wrong in the source.
  * Update to Standards-Version 3.9.7.

 -- Steve Langasek <vorlon@debian.org>  Tue, 01 Mar 2016 00:04:14 +0000

freetype (2.6.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #804050)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 10 Nov 2015 21:32:25 +0100

freetype (2.6-2) unstable; urgency=medium

  * Adjust symbols references for private symbols to sort to a higher (fake)
    version number instead of a lower, so that when linking against
    libfreetype without using its symbols, we don't get a wrong dependency on
    libfreetype6 (>= 1.PRIVATE.1).  Closes: #799445.
  * Pass --without-harfbuzz in debian/rules, to avoid opportunistically
    picking this up as a dependency if libharfbuzz-dev is installed.

 -- Steve Langasek <vorlon@debian.org>  Sat, 19 Sep 2015 19:17:07 +0000

freetype (2.6-1) unstable; urgency=medium

  * New upstream release.  Closes: #793751.
    * Includes a fix for a spurious error in FT_Get_SubGlyph_Info.
      Closes: #778493.
    * Includes a fix for an infinite loop in T1 font loading.
      Closes: #798620.
    * Includes a fix for an uninitialized memory bug in font parsers.
      Closes: #798619.
    * Includes fix for an out-of-bounds rate in the Adobe CFF implementation
      (which was not previously enabled in the package build).
      Closes: #773084.
    * Includes a fix for a crasher in xdvi.  Closes: #733894.
    * Fixes support for compressed pcf fonts.  Closes: #780340.
    * Drop various cherrypicked upstream patches from the package.
    * Ship upstream freetype-config manpage in place of our own.
      Closes LP: #1390767.
  * Update symbols file.  Includes dropping various private symbols that
    don't appear to have ever been part of the API.
  * Fix exclusion of redundant license file (txt -> TXT)
  * Re-enable the CFF driver, now that most related fonts have been fixed.
    Closes: #795653.
  * Enable stage1 build without X library dependencies for bootstrapping.
    Closes: #752270, #752271.

 -- Steve Langasek <vorlon@debian.org>  Sat, 12 Sep 2015 07:29:07 +0000

freetype (2.5.2-4) unstable; urgency=medium

  * Fix Savannah bug #43774. Closes #780143.
  * Release 2.5.2-4

 -- Keith Packard <keithp@keithp.com>  Sun, 15 Mar 2015 22:46:29 -0700

freetype (2.5.2-3) unstable; urgency=medium

  * Fix Savannah bug #43535. CVE-2014-9675
  * [bdf] Fix Savannah bug #41692. CVE-2014-9675-fixup-1
  * src/base/ftobj.c (Mac_Read_POST_Resource): Additional overflow check
    in the summation of POST fragment lengths. CVE-2014-0674-part-2
  * src/base/ftobjs.c (Mac_Read_POST_Resource): Insert comments and fold
    too long tracing messages. CVS-2014-9674-fixup-2
  * src/base/ftobjs.c (Mac_Read_POST_Resource): Use unsigned long variables to read the lengths in POST fragments. CVE-2014-9674-fixup-1
  * Fix Savannah bug #43538. CVE-2014-9674-part-1
  * Fix Savannah bug #43539. CVE-2014-9673
  * src/base/ftobjs.c (Mac_Read_POST_Resource): Avoid memory leak by
    a broken POST table in resource-fork. CVE-2014-9673-fixup
  * Fix Savannah bug #43540. CVE-2014-9672
  * Fix Savannah bug #43547. CVE-2014-9671
  * Fix Savannah bug #43548. CVE-2014-9670
  * [sfnt] Fix Savannah bug #43588. CVE-2014-9669
  * [sfnt] Fix Savannah bug #43589. CVE-2014-9668
  * [sfnt] Fix Savannah bug #43590. CVE-2014-9667
  * [sfnt] Fix Savannah bug #43591. CVE-2014-9666
  * Change some fields in `FT_Bitmap' to unsigned type. CVE-2014-9665
  * Fix uninitialized variable warning. CVE-2014-9665-fixup-2
  * Make `FT_Bitmap_Convert' correctly handle negative `pitch' values.
    CVE-2014-9665-fixup
  * [type1, type42] Fix Savannah bug #43655. CVE-2014-9664
  * [sfnt] Fix Savannah bug #43656. CVE-2014-9663
  * [cff] Fix Savannah bug #43658. CVE-2014-9662
  * [type42] Allow only embedded TrueType fonts. CVE-2014-9661
  * [bdf] Fix Savannah bug #43660. CVE-2014-9660
  * [cff] Fix Savannah bug #43661. CVE-2014-9659
  * [sfnt] Fix Savannah bug #43672. CVE-2014-9658
  * [truetype] Fix Savannah bug #43679. CVE-2014-9657
  * [sfnt] Fix Savannah bug #43680. CVE-2014-9656
  * All CVEs patched. Closes: #777656.

 -- Keith Packard <keithp@keithp.com>  Mon, 23 Feb 2015 22:04:36 -0800

freetype (2.5.2-2) unstable; urgency=medium

  * Acknowledge security NMU; thanks to Michael Gilbert.
  * Standards-Version 3.9.6.
  * Bump debhelper build-dependency to 9.
  * debian/patches/enable-old-cff.patch: disable the new CFF hinter from
    Adobe, working around wrong hinting with some toolkits on Linux.  Thanks
    to Samat K Jain <samat@samat.org> for preparing the patch.
    Closes: #730742.
  * debian/patches-freetype/0001-Fix-Savannah-bug-40997.patch: Cherry-pick
    upstream patch to fix a double free.  Closes: #747002, LP: #1310728.
  * debian/patches-freetype/0002-Fix-Savannah-bug-42418.patch: Cherry-pick
    upstream patch to fix cjk font rendering issue.  LP: #1310017.
  * debian/patches-freetype/verbose-libtool.patch: don't let libtool
    suppress compiler output.
  * debian/patches-freetype/no-uninitialized-bbox.patch: ensure that our
    variable is reliably initialized before use, fixing a build failure on
    ppc64el when building with -O3.

 -- Steve Langasek <vorlon@debian.org>  Fri, 19 Sep 2014 06:27:10 +0000

freetype (2.5.2-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix two security issues in the CFF rasterizer (closes: #741299)
    - CVE-2014-2240: out-of-bounds read/write in cf2hints.c.
    - CVE-2014-2241: denial-of-service in cf2ft.c.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 28 Jul 2014 02:56:08 +0000

freetype (2.5.2-1) unstable; urgency=low

  * New upstream release
    - fixes a crasher bug with certain fonts.  Closes: #733052.
    - drop of additional symbols which were previously exported but are only
      meant for debugging and upstream recommends not enabling them when
      building in "release mode".  If this impacts users of freetype, we can
      re-enable these symbols later.
  * Call autogen.sh on build to refresh autotools; not using dh-autoreconf
    because the upstream directory structure is non-standard and it's a
    throw-away dir, so there's no advantage to dh-autoreconf's rollback
    support.
  * Fix symbols file with respect to more complete version info found in
    Ubuntu.
  * Drop debian/patches-ft2demos/compiler-warning-fixes.patch, which is
    actually a bug in the compiler_hardening_fixes.patch; fix it there
    instead.
  * Fix libpng detection when cross-building.

 -- Steve Langasek <vorlon@debian.org>  Wed, 25 Dec 2013 09:06:22 +0000

freetype (2.5.1-2) unstable; urgency=low

  * Drop unnecessary GPLv2.txt from libfreetype6-dev.
  * Add missing dependency on libpng-dev to libfreetype6-dev.
    Closes: #732062.

 -- Steve Langasek <vorlon@debian.org>  Tue, 17 Dec 2013 20:04:17 -0800

freetype (2.5.1-1) unstable; urgency=low

  * New upstream release.  Closes: #717952, #729231.
    - Add build-dependency on libpng-dev.
    - Dropped patches, included upstream: savannah-bug-35847.patch,
      savannah-bug-35833.patch, savannah-bug-37905.patch,
      savannah-bug-37906.patch, savannah-bug-37907.patch
    - Internal symbols have been dropped in this version.  No soname change
      because the symbols are not supposed to be used, but past experience
      suggests that this may break some third-party software anyway.
  * compiler_hardening_fixes.patch: fix wrong snprintf() calls in ttdebug.c
    that cause an overflow 100% of the time.
  * debian/patches-ft2demos/compiler-warning-fixes.patch: Fix a wrong
    cast that triggers a compiler warning.
  * debian/patches-ft2demos/revert-wrong-extern.patch: revert wrong
    upstream commit that causes a build failure.

 -- Steve Langasek <vorlon@debian.org>  Thu, 28 Nov 2013 07:05:47 +0000

freetype (2.4.9-1.1) unstable; urgency=high

  * Non-maintainer upload.
    Upload ACKed by Steve Langasek <vorlon@debian.org> on #debian-devel.
  * Add savannah-bug-37905.patch patch
    [SECURITY] CVE-2012-5668: NULL Pointer Dereference in bdf_free_font.
    (Closes: #696691)
  * Add savannah-bug-37906.patch patch
    [SECURITY] CVE-2012-5669: Out-of-bounds read in _bdf_parse_glyphs.
    (Closes: #696691)
  * Add savannah-bug-37907.patch patch
    [SECURITY] CVE-2012-5670: Out-of-bounds write in _bdf_parse_glyphs.
    (Closes: #696691)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2012 21:32:28 +0100

freetype (2.4.9-1) unstable; urgency=low

  * New upstream release
    - upstream fix for multiple vulnerabilities: CVE-2012-1126,
      CVE-2012-1133, CVE-2012-1134, CVE-2012-1136, CVE-2012-1142,
      CVE-2012-1144. and others.  Closes: #662864.
    - update symbols file for a new symbol, ft_raccess_guess_table
  * debian/patches-freetype/savannah-bug-35847.patch,
    debian/patches-freetype/savannah-bug-35833.patch: pull two bugfixes from
    upstream git on top of 2.4.9, to address regressions affecting
    ghostscript.  Thanks to Till Kamppeter for pointing this out.
  * push CPPFLAGS into CFLAGS for ft2demos, so our demos will be secure.
    Closes: #663613.
  * don't let a quiltrc override our QUILT_PATCHES settings in debian/rules.
    Closes: #617217.
  * Migrate debian/copyright to copyright-format 1.0, and fix up the upstream
    URL.  Closes: #642059.

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Mar 2012 23:35:16 +0000

freetype (2.4.8-1) unstable; urgency=high

  * New upstream release
    - upstream fix for CVE-2011-3439.  Closes: #649122.
    - adjust libfreetype6.symbols for a newly-exported function.

 -- Steve Langasek <vorlon@debian.org>  Thu, 17 Nov 2011 22:28:14 +0000

freetype (2.4.7-2) unstable; urgency=low

  * Use dpkg-buildflags through debhelper.
  * Don't set -Werror in CFLAGS on alpha or m68k, to work around a compiler
    bug.  Closes: #646334.

 -- Steve Langasek <vorlon@debian.org>  Mon, 24 Oct 2011 22:02:32 +0000

freetype (2.4.7-1) unstable; urgency=low

  * New upstream release
    - upstream fix for CVE-2011-3256.  Closes: #646120.
    - drop debian/patches-freetype/0001-Fix-Savannah-bug-33992.patch,
      included upstream.
  * Pass --without-bzip2 to configure, to avoid unwanted dependency on
    libbz2.  Closes: #639638.
  * Standards-Version 3.9.2.

 -- Steve Langasek <vorlon@debian.org>  Sat, 22 Oct 2011 20:18:59 +0000

freetype (2.4.6-2) unstable; urgency=low

  * debian/patches-freetype/0001-Fix-Savannah-bug-33992.patch: [PATCH]
    Fix Savannah bug #33992.  Thanks to David Bevan
    <david.bevan@pb.com>.  Closes: #638348.

 -- Steve Langasek <vorlon@debian.org>  Sat, 20 Aug 2011 06:30:18 +0000

freetype (2.4.6-1) unstable; urgency=low

  * New upstream release
    - fixes CVE-2011-0226, a vulnerability in parsing of Type 1 fonts.
      Closes: #635871.
    - upstream now builds cleanly with -Werror and the new gcc-4.6 upstream
      warnings.  Closes: #625328.

 -- Steve Langasek <vorlon@debian.org>  Thu, 04 Aug 2011 05:49:09 +0000

freetype (2.4.4-2) unstable; urgency=low

  * Build for multiarch, using debhelper compat 9.
  * Add Pre-Depends: ${misc:Pre-Depends} to pick up multiarch-support
    dependency.

 -- Steve Langasek <vorlon@debian.org>  Wed, 22 Jun 2011 14:38:12 -0700

freetype (2.4.4-1) unstable; urgency=low

  * Acknowledge security NMU - thanks, Moritz!
  * New upstream release, closes: #606286, #600321
    - fixes PDF rendering issues.  Closes: #612484, LP: #709229.
    - fixes a rendering issue with 'S' glyphs in certain fonts.
      LP: #654010.
    - drop patches for CVE-2010-3855 and CVE-2010-3814, applied upstream.
    - drop patch ft2demos-2.1.7-ftbench.patch; doesn't apply cleanly, the
      code has changed significantly, patch never forwarded upstream.  If
      this is still an issue, someone will provide a fixed patch.
    - drop patch ft2demos-grkey.patch, fixed upstream.
  * debian/patches-freetype/enable-gxvalid-otvalid.patch: enable the
    otvalid and gxvalid table validation modules.  Thanks to Paul Wise
    <pabs@debian.org>.  Closes: #520879, LP: #239626.
  * debian/libfreetype6.symbols: update the symbols file for the same.
  * debian/rules et al.: convert to dh 7
  * drop INSTALL.* from the libfreetype6-dev docs.  Closes: #550971.
  * move homepage out of debian/copyright and into debian/control.
  * fix GPL link to point to GPL-2 explicitly.
  * clean up long-obsolete conflicts/replaces.
  * drop debian/README.quilt, redundant with debian/README.source.
  * drop debian/README.Debian, which talks about the long-finished transition
    from freetype1.
  * strip dependency_libs out of /usr/lib/libfreetype.la.
  * bump standards-version to 3.9.1.

 -- Steve Langasek <vorlon@debian.org>  Mon, 21 Feb 2011 14:10:46 -0800

freetype (2.4.2-2.1) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2010-3855 and CVE-2010-3814 (Closes: #602221)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 18 Nov 2010 21:16:12 +0100

freetype (2.4.2-2) unstable; urgency=low

  * debian/patches-ft2demos/f2tdemos-grkey.patch: update to fix another
    problem when building under gcc-4.5 that was overlooked in the previous
    version of the patch.  LP: #624740.

 -- Steve Langasek <vorlon@debian.org>  Sat, 28 Aug 2010 02:27:15 +0000

freetype (2.4.2-1) unstable; urgency=high

  * New upstream release
    - High urgency upload for RC security bugfix.
    - Corrects a stack overflow in the interpreter for CFF fonts
      (CVE-2010-1797).  Closes: #592399.
    - drop debian/patches-freetype/opentype-missing-glyphs, included
      upstream.
  * Update libfreetype6.symbols for two new functions.

 -- Steve Langasek <vorlon@debian.org>  Tue, 10 Aug 2010 00:19:04 -0700

freetype (2.4.0-2) unstable; urgency=medium

  * debian/patches-freetype/opentype-missing-glyphs: fix from upstream for
    glyphs from OpenType fonts failing to render.  Closes: #589256,
    LP: #605858.
  * Medium-urgency upload to fix important regression.

 -- Steve Langasek <vorlon@debian.org>  Fri, 16 Jul 2010 12:37:03 -0700

freetype (2.4.0-1) unstable; urgency=high

  * New upstream release (closes: #572576).
    - fixes CVE-2010-2497, CVE-2010-2498, CVE-2010-2499, CVE-2010-2500,
      CVE-2010-2519, and CVE-2010-2520
    - high-urgency upload for security bugfixes.
    - drop debian/patches-freetype/freetype-bytecode-interpreter.patch and
      debian/patches-freetype/enable-full-bytecode-interpreter - the
      bytecode interpreter is now enabled by default upstream at last!
    - drop debian/patches-freetype/freetype-bdflib-large-encodings.patch and
      debian/patches-freetype/uninitialized-vars.patch, applied upstream.
    - drop debian/patches-freetype/331-hmtx-no-shorts.diff, implemented
      differently upstream.
    - new symbol FT_Library_SetLcdFilterWeights added to the symbols table,
      bump the shlibs.
    - fixes problem with outlines for some OpenType fonts.  Closes; #583868.
  * Add a debian/watch file - though we won't use it internally due to the
    multiple tarball issues.
  * Begin to simplify debian/rules a little by trimming dead code.
  * Don't set SHELL = /bin/bash in debian/rules, no bashisms found in
    the current package.
  * debian/patches/ft2demos-grkey.patch: don't point grKEY() at an enum when
    it's being passed values that aren't defined in that enum, fixing a build
    failure with gcc 4.5.  Thanks to Brian M. Carlson for the preliminary
    patch.  Closes: #564989.
  * docs/PATENTS no longer exists, so we don't install it.
  * Add ${misc:Depends} substitutions to all packages, per lintian.
  * Standards-Version to 3.8.4, no changes required.
  * Clarify in debian/copyright that freetype can be used under GPLv2 or
    later.

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Jul 2010 17:09:32 -0700

freetype (2.3.11-1) unstable; urgency=low

  * New upstream release
    - drop debian/patches-freetype/proper-armel-asm-declaration.patch and
      debian/patches-freetype/CVE-2009-0946.patch, applied upstream.
    - new symbol tt_cmap13_class_rec added to the symbols table, bump the
      shlibs.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Oct 2009 14:14:49 -0700

freetype (2.3.9-5) unstable; urgency=low

  * Pass proper --host/--build args to ./configure, to support
    cross-building.  Closes: #465292.
  * clean up a number of unused variables in debian/rules; maybe someday
    we'll get this package to converge on debhelper 7... :)
  * Fix the doc-base section for libfreetype6-dev.  Closes: #315845.
  * Remove one final reference to /usr/X11R6 in debian/rules.
  * Drop incorrect Replaces: freetype0, freetype1
  * Add debian/README.source, documenting the madness that is this source
    package.
  * Standards-Version to 3.8.0.
  * Fix multiple integer overflows leading to arbitrary code execution
    or DoS (CVE-2009-0946; Closes: #524925).  Thanks to Nico Golde for the
    NMU.

 -- Steve Langasek <vorlon@debian.org>  Mon, 01 Jun 2009 04:37:19 -0700

freetype (2.3.9-4) unstable; urgency=low

  * debian/patches-ft2demos/compiler-hardening-fixes.patch: always check the
    return value of fread(), to appease hardened compilers such as what's
    used in Ubuntu by default.  Set a good example, even if these demos
    shouldn't be security-sensitive!  Also, along the way catch and fix a
    small memory leak on error. :)
  * debian/patches-freetype/proper-armel-asm-declaration.patch: use __asm__
    for declaring assembly instead of asm, fixing a build failure on armel.

 -- Steve Langasek <vorlon@debian.org>  Sat, 14 Mar 2009 14:35:23 -0700

freetype (2.3.9-3) unstable; urgency=low

  * Drop spurious Suggests: on libfreetype6-dev.  Closes: #363937.
  * debian/patches-freetype/enable-subpixel-rendering.patch: enable subpixel
    rendering features, used by libcairo and xft to provide LCD colour
    filtering.  This is considered no more or less evil than the bytecode
    interpreter which we also enable.
  * Move debian/libfreetype6.copyright to debian/copyright, and selectively
    install it to the single binary package in debian/rules; the same
    copyright file is used for all the binaries anyway via symlinks, so
    there's no reason it shouldn't ship as debian/copyright.
    Closes: #381228.
  * Clip redundant LICENSE.TXT and GPL.TXT files from the
    libfreetype6-dev package.  Closes: #459802.

 -- Steve Langasek <vorlon@debian.org>  Fri, 13 Mar 2009 23:09:50 -0700

freetype (2.3.9-2) unstable; urgency=low

  * debian/rules: bump the shlibs version, since 2.3.9 introduces a handful
    of new symbols
  * debian/libfreetype6.symbols: add a new symbols file, which should cause
    most packages to have relaxed dependencies of libfreetype6 now.

 -- Steve Langasek <vorlon@debian.org>  Fri, 13 Mar 2009 16:57:23 -0700

freetype (2.3.9-1) unstable; urgency=low

  * New upstream version; closes: #519168.
    * fixes a SIGFPE in evince when displaying some PDFs.  Closes: #494350,
      LP: #277294.
    * fix a rendering issue with embedded Myriad_Pro fonts in some PDFs.
      LP: #330438.
    * fix a rendering issue with some glyphs not rendering in PDFs when
      an embedded font uses CID 0.  LP: #252250.
    * drop patches-freetype/no-segfault-on-load_mac_face, included
      upstream.
    * patches-ft2demos/ft2demos-2.1.7-ftbench.patch: drop unused
      patch chunk
  * fix up the get-orig-source target to autodetect the upstream version
    using the changelog by default.

 -- Steve Langasek <vorlon@debian.org>  Fri, 13 Mar 2009 01:07:28 -0700

freetype (2.3.7-2) unstable; urgency=high

  * High-urgency upload for RC bugfix.
  * Add debian/patches-freetype/no-segfault-on-load_mac_face, patch from
    upstream to fix a segfault due to uninitialized memory in certain
    failures of FT_Stream_New.  Closes: #487101.

 -- Steve Langasek <vorlon@debian.org>  Thu, 21 Aug 2008 12:09:17 -0700

freetype (2.3.7-1) unstable; urgency=low

  * New upstream release
  * Add a new get-orig-source rule to handle downloading & packing the bits
    for us
  * Build-depend on x11proto-core-dev instead of the obsolete x-dev.
  * Unset DH_VERBOSE when redirecting the output of dh_shlibdeps,
    otherwise the substvars are kinda messed up.
  * Fix a typo that caused debhelper log junk to be dumped into /usr.
  * Replace ${Source-Version} with ${binary:Version} in debian/control.
  * Don't install useless copies of /usr/share/doc/libfreetype6 in the
    other packages, the symlink is all we need.

 -- Steve Langasek <vorlon@debian.org>  Mon, 30 Jun 2008 17:57:56 -0700

freetype (2.3.6-1) unstable; urgency=low

  * New upstream release
    - Fixes multiple vulnerabilities in the PFB font parser (CVE-2008-1806,
      CVE-2008-1807, CVE-2008-1808).  Closes: #485841.
  * Fix some very bizarre quoting of $CFLAGS in debian/rules

 -- Steve Langasek <vorlon@debian.org>  Sun, 15 Jun 2008 23:52:53 -0700

freetype (2.3.5-1) unstable; urgency=low

  * New upstream release
    - Drop patches 374902-composite-glyphs, CVE-2006-3467_pcf-strlen,
      and CVE-2007-2754_ttgload, merged upstream.
    - Bump the shlibs to 2.3.5 for new symbols.

 -- Steve Langasek <vorlon@debian.org>  Sat, 07 Jul 2007 00:19:30 -0700

freetype (2.2.1-6) unstable; urgency=high

  * High-urgency upload for security fix.
  * Remove spurious patch file from the package diff, sigh.
  * Add debian/patches-freetype/CVE-2007-2754_ttgfload to address
    CVE-2007-2754, a bug allowing execution of arbitrary code via a crafted
    TTF image by way of an integer overflow.  Closes: #425625.

 -- Steve Langasek <vorlon@debian.org>  Wed, 23 May 2007 03:26:25 -0700

freetype (2.2.1-5) unstable; urgency=high

  * High-urgency upload for RC bugfix.
  * Add debian/patches-freetype/CVE-2006-3467_pcf-strlen.patch to
    address CVE-2006-3467, a missing string length check in PCF files that
    leads to a possibly exploitable integer overflow.  Thanks to Martin
    Pitt for the patch.  Closes: #379920.

 -- Steve Langasek <vorlon@debian.org>  Tue, 12 Sep 2006 15:04:42 -0700

freetype (2.2.1-4) unstable; urgency=low

  * Drop libfreetype6.postinst code for cleaning up /usr/X11R6/lib;
    whatever version it applied to is pre-sarge, and this code is
    sufficiently blunt that I don't think it should be kept around.
    Closes: #386379.

 -- Steve Langasek <vorlon@debian.org>  Fri,  8 Sep 2006 13:35:30 -0700

freetype (2.2.1-3) unstable; urgency=low

  * Apply patch from Eugeniy Meshcheryakov <eugen@univ.kiev.ua>, applied
    upstream, to fix bug in rendering of composite glyphs.
    Closes: #374902.

 -- Steve Langasek <vorlon@debian.org>  Sun,  3 Sep 2006 04:21:43 -0500

freetype (2.2.1-2) unstable; urgency=low

  * Enable full bytecode interpreter instead of just the
    "non-patented portions".
  * Use $(CURDIR) instead of $(PWD) to build with sudo. Closes: #367579.

 -- Keith Packard <keithp@keithp.com>  Wed, 17 May 2006 00:00:35 -0500

freetype (2.2.1-1) unstable; urgency=low

  * New upstream release
    - Supersedes patches freetype-2.1.10-cvsfixes.patch,
      freetype-2.1.10-fixaliasing.patch, freetype-2.1.10-fixautofit.patch,
      freetype-2.1.10-fixkerning.patch, freetype-2.1.10-memleak.patch,
      freetype-2.1.10-xorgfix.patch

 -- Steve Langasek <vorlon@debian.org>  Sat, 13 May 2006 13:57:54 -0700

freetype (2.2~rc4-1) unstable; urgency=low

  * New upstream release
    - this version should restore binary compatibility with version
      2.1.7.  Closes: #314385.
    - use the old ft2demos and freetype-docs for now; patch ft2demos
      (temporarily only!) to still use the internal headers, which are
      now no longer exported as part of the API
  * Patch to handle empty short metrics, as seen in BitStream Vera.
  * Bump shlibs to 2.2~rc4-1.  Closes: #316031.
  * Replace debian/rules patch handling with quilt; thanks to Jurij
    Smakov <jurij@wooyd.org> for the patch.

 -- Steve Langasek <vorlon@debian.org>  Sat,  4 Mar 2006 22:06:38 -0800

freetype (2.1.10-3) unstable; urgency=low

  * Removed freetype-2.1.10-fixaliasing.patch to restore proper sub-pixel
    anti-aliased hinted rendering.  Thanks to Michael Biebl for reporting
    the bug.  I was able to reproduce the bug setting gnome-font-properties
    to: 96 dpi, sub-pixel anti-aliasing, full hinting, with Bitstream Vera
    Sans Roman 11 as desktop font.  (Closes: Bug#359104)
  * Added more fixes to debian/patches/freetype-2.1.10-cvsfixes.patch:
     * 2006-03-27  David Turner  <david@freetype.org>
        * src/sfnt/ttkern.c (tt_face_get_kerning): Fix a serious bug that
          causes some programs to go into an infinite loop when dealing with
          fonts that don't have a properly sorted kerning sub-table.
     * 2006-03-21  Zhe Su  <james.su@gmail.com>
        * src/base/ftoutln.c (FT_Outline_Get_Orientation): Improve algorithm.
       This is to prevent certain emboldened and hinted glyphs from becoming
       "weird".  See https://bugzilla.novell.com/show_bug.cgi?id=158573
       for details.
  * Oops, I inadvertently set the shlibs dependency to (>= 2.1.10-1)
    in 2.1.10-2.  Reverted to (>= 2.1.5-1).

 -- Anthony Fok <foka@debian.org>  Fri, 31 Mar 2006 04:11:27 +0800

freetype (2.1.10-2) unstable; urgency=low

  * Will Newton has agreed to let Steve Langasek adopt the package.
    Therefore, I have taken the liberty to set the Maintainer field
    to Steve, and to add myself as an uploader.  :-)  (See Bug#351821)

  * Acknowledge NMUs by Frans Pop (shlibs for udeb, Closes: Bug#355939)
    and by Joey Hess (xlibs-dev removal, Closes: Bug#346706).
    Thank you all!

  * Merge fixes from 2.1.10-1ubuntu1 (Many thanks!):
     * Patches for Malone #5560.
       [debian/patches/freetype-2.1.10-cvsfixes.patch]:
        - various fixes (mostly embolding which caused characters to
          slant upward, most evident for CJK users in KDE and icewm.
          (Closes: Bug#356495, Bug#356854)
       [debian/patches/freetype-2.1.10-xorgfix.patch]:
        - put back internal API used by xorg-x11
       [debian/patches/freetype-2.1.10-fixautofit.patch]:
        - fix autofit render setup
       [debian/patches/freetype-2.1.10-memleak.patch]:
        - fix memleak
       [debian/patches/freetype-2.1.10-fixkerning.patch]:
        - fix disabled kerning
       [debian/patches/freetype-2.1.10-fixaliasing.patch]:
        - fix anti-aliasing rendering
     * Changes by Jun Kobayashi <fm4j-kbys@asahi-net.or.jp>
    -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Jan 2006 17:45:50 +0900

 -- Anthony Fok <foka@debian.org>  Sat, 25 Mar 2006 13:03:09 +0800

freetype (2.1.10-1.2) unstable; urgency=low

  * Non Maintainer Upload (closes: #355939)
  * Add support for udeb dependency resolution in shlibs file
  * Simplify debian/rules by making use of udeb support in debhelper
  * Update debhelper compatibility to level 5

 -- Frans Pop <fjp@debian.org>  Sat, 18 Mar 2006 17:07:46 +0100

freetype (2.1.10-1.1) unstable; urgency=low

  * NMU
  * Patch from Ben Hutchings for xlibs-dev transition. Closes: #346706

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Mar 2006 20:31:17 -0500

freetype (2.1.10-1) unstable; urgency=low

  * New upstream (Closes: #298660, #245532).
  * New maintainer, co-maintainer required!
  * Disable CJK autohinting patch due to incompatability with this version
    of freetype.
  * Remove some very old unapplied patches.
  * Add freetype-config.1 manpage.
  * Add doc-base file for development docs. (Closes: #280827)
  * Fix build with non-default umask. (Closes: #307464, #166511)
  * Patch merged upstream. (Closes: #252673)
  * Acknowledge NMUS.
    (Closes: #221597, #225119, #226380, #249443, #251473, #302269, #259875)

 -- Will Newton <will@debian.org>  Mon, 13 Jun 2005 00:44:29 +0100

freetype (2.1.9-1) unstable; urgency=low

   * New upstream.

 -- Will Newton <will@debian.org>  Sat, 28 May 2005 14:49:00 +0100

freetype (2.1.7-2.4) unstable; urgency=high

  * Non-maintainer upload.
  * freetype-2.1.7/src/bdf/bdflib.c: When a glyph has zero width or height,
    a bitmap is not actually allocated for it, but the code used to try to
    use it anyway. Now it no longer does that. Fix by Steve Langasek,
    based on something I did earlier. Added
    debian/patches/300-bdflib-zero-width-glyphs.diff. Closes: #302269
    (Segmentation fault with certain bdf fonts).
  * freetype-2.1.7/src/bdf/bdflib.c: BDF font files with glyphs with an
    encoding value of at least 65536 would overflow the bitmap with
    65536 bits which bdflib.c uses to keep track of whether it has seen
    an encoding already. Changed things so that encodings above the
    limit cause an error code to be returned instead of a segfault
    happening. Ideally, the bitmap should be replaced with a more
    compact representation, but that is too big a change for something
    this small. I will, however, only lower the severity of the bug
    (305413) to normal, instead of marking it fixed. Added
    debian/patches/300-bdflib-large-encodings.diff.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 24 Apr 2005 15:42:00 +0300

freetype (2.1.7-2.3) unstable; urgency=low

  * NMU
  * debian/patches/090-freetype-2.1.7-normalize-fix.diff: Patch
    by David Mossberger.  Backport from freetype2 CVS that fixes an
    off-by-order-of-magnitude performance issue in the normalization code.
    (Closes: #259875)

 -- dann frazier <dannf@debian.org>  Mon, 08 Nov 2004 19:06:57 -0700

freetype (2.1.7-2.2) unstable; urgency=low

  * NMU
  * debian/patches/080-freetype-2.1.7-backwards-compat.diff: Patch
    by Shaun Jackman, integration by Thom May. Fixes backwards
    compatibility (Closes: #251473)

 -- Frank Lichtenheld <djpig@debian.org>  Fri,  6 Aug 2004 01:03:36 +0200

freetype (2.1.7-2.1) unstable; urgency=medium

  * NMU
  * [debian/patches/patches/t1load-eexec.diff, debian/rules] Patch from
    upstream CVS
    (http://cvs.freetype.org/cgi-bin/viewcvs.cgi/freetype2/src/type1/t1load.c.diff?r1=text&tr2=1.89&tr1=1.88&r2=text&diff_format=u)
    to fix hanging gpdf processes. (Closes: #249443, #233255)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri,  4 Jun 2004 18:56:41 +0200

freetype (2.1.7-2) unstable; urgency=low

  * Acknowledging 2.1.7-1.1.  Many thanks to David Mosberger-Tang and
    fellow Debian developer J.H.M. Dassen (Ray) for fixing the
    gnumeric and abiword crashing problem on powerpc and ia64
    by compiling with -fno-strict-aliasing.  Will report upstream.
  * Applied Akito Hirai's freetype-2.1.7-autohint-cjkfonts-20031130.patch.
    Thanks to Firefly's detailed testing and development, and to Shuke
    (Fan Xiaoju) and Tetralet for building unofficial debs.  :-)
     - http://firefly.idv.tw/test/Forum.php?Board=1&Article=72498077a4859413781ed6885760caa7&Func=view&History=0
     - http://www.linuxfans.org/nuke/modules.php?name=Forums&file=viewtopic&t=51830
  * Converted changelog.Debian.gz to UTF-8.
  * Removed /usr/share/doc/libfreetype6/reference/.cvsignore.

 -- Anthony Fok <foka@debian.org>  Sat, 24 Jan 2004 08:00:31 +0800

freetype (2.1.7-1.1) unstable; urgency=high

  * NMU
  * [debian/control] Applied patch by David Mosberger-Tang
    <David.Mosberger@acm.org> to compile -fno-strict-aliasing. Freetype
    is apparently known to be unsafe for strict-aliasing rules defined
    by ANSI (and the compiler configuration files in the upstream
    source package itself reflect that), which caused crashes on ia64
    and powerpc. This patch has been confirmed to fix the gnumeric and
    abiword crashes on powerpc. (Closes: #221597, #225119, #226380).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue,  6 Jan 2004 11:35:55 +0100

freetype (2.1.7-1) unstable; urgency=low

  * New upstream version.

 -- Anthony Fok <foka@debian.org>  Sat, 15 Nov 2003 00:49:55 +0800

freetype (2.1.5-3) unstable; urgency=high

  * debian/patches/freetype-2.1.5-type1-crash.diff: prevents
    crashes when opening Type1 fonts with PaintType != 0 or
    StrokeWidth != 0, exhibited with e.g. Hershey fonts in gsfonts-other.
    Many thanks to Josselin Mouette (Debian fontconfig maintainer) for
    analysis and patch!  (Closes: Bug#216605, #216649, #216761)
  * FTC_SBit_Cache_Lookup() exhibits a bug in ah_hinter_load_glyph
    where FT_Render_Glyph may be called twice under some circumstances.
    Many thanks to Ralf for reporting and upstream author Werner Lemberg
    for fixing the bug.  (Closes: Bug#213232, #208943, #209715)
  * Added Conflicts: xpdf-reader (<< 1.00-4) to avoid problems with users
    upgrading from Debian 3.0.  Thanks to Adrian Bunk for the bug report.
    (Partially fixes Bug#214732)

 -- Anthony Fok <foka@debian.org>  Wed, 22 Oct 2003 10:58:14 +0800

freetype (2.1.5-2) unstable; urgency=low

  * Added patch by David Bevan ([devel] 2003-09-19) to fix read_pfb_tag()
    so it does not fail on end-of-file indicated (0x8003).
  * Do not install the irrelevant docs/reference/README.  (Closes: Bug#211755)

 -- Anthony Fok <foka@debian.org>  Sun, 21 Sep 2003 01:35:44 +0800

freetype (2.1.5-1) unstable; urgency=low

  * New upstream official 2.1.5 release.  (ftdocs is still 2.1.4.)
  * Set libfreetype6-udeb to Priority: extra to fix override disparity.

 -- Anthony Fok <foka@debian.org>  Tue, 16 Sep 2003 23:43:48 +0800

freetype (2.1.4-5) unstable; urgency=low

  * CVS updates as of 2003-08-18.  Upstream has restored binary
    compatibility with the FreeType 2.1.4 and previous releases.
  * Applied patch by Mike Fabian (2003-08-27): check bdf properties
    WEIGHT_NAME and SLANT case insensitively.  Many thanks!  :-)
  * Reversed YAMANO-UCHI Hidetoshi's 2003-06-13 change to ft2demos
    graph/x11/rules.mk; Debian shys away from setting rpath.

 -- Anthony Fok <foka@debian.org>  Thu, 28 Aug 2003 02:10:29 +0800

freetype (2.1.4-4) unstable; urgency=low

  * CVS updates as of 2003-06-07 with many fixes, including:
    - Werner Lemberg has fixed the problem FreeType 2 had with
      HuaTian multiple-level subglyphs fonts like htst3.ttf.
      Many thanks!  :-)
  * TT_CONFIG_OPTION_FORCE_UNPATENTED_HINTING is left undefined for now.
    (MS web core fonts like MonoType Arial would become distorted.)
  * Disable Firefly's GRAYS_USE_GAMMA patch for now: I have received
    several bug reports about "ugly fonts" or jaggies already, and I am
    not sure whether it is due to the adjusted gamma values or
    the new unpatented hinting in CVS.  Let's see what happens.  :-)
    (Closes: Bug#196029, #196048, #196086)
  * Yikes, Werner's number to pointer changes broke binary compatibility
    with XFree86 4.3.0.  I hope the patch
       100-freetype-2.1.4-CVS-int-fixed_p-incompatibility.diff
    correctly reverts the problem.  My apologies to the Debian XFree86
    for my oversight.
  * FreeType 2.1.4 was unable to read some gzip'ed fonts Many thanks to
    "Alexis S. L. Carvalho" <alexis@cecm.usp.br> for diagnosing and
    correcting the problem.  (Closes: Bug#184355)
  * Note to self: Debian's file/libmagic1 (4.02-4) misdetects
    libfreetype.so.6.3.3 as "Linux/i386 core" file on i386 platforms.

 -- Anthony Fok <foka@debian.org>  Sun,  8 Jun 2003 13:42:26 +0800

freetype (2.1.4-3) unstable; urgency=low

  * CVS updates as of 2003-06-01:
    - Removed my 010-ft2demos-2.1.4-ucs4.diff and
      Akito's 011-freetype-2.1.4-ttcmap4.diff: already applied upstream.
  * [ftoption.h] Enabled Graham Asher's unpatented hinting:
      #define TT_CONFIG_OPTION_BYTECODE_INTERPRETER
      #define TT_CONFIG_OPTION_COMPILE_UNPATENTED_HINTING
    Many thanks to Graham Asher and Artifex for their contribution!
  * Temporary disable Akito Hirai's CJK autohinting enhancement: it
    currently does not apply cleanly to FreeType CVS.
  * [libfreetype6-dev.files]: Added usr/lib/pkgconfig/ for freetype2.pc.
  * Added Firefly's patch to #define GRAYS_USE_GAMMA with finetune.

 -- Anthony Fok <foka@debian.org>  Tue,  3 Jun 2003 02:54:40 +0800

freetype (2.1.4-2) unstable; urgency=low

  * Applied CVS fixes as of 2003-04-09.
  * Applied freetype-2.1.3-ttcmap4.patch by Akito Hirai to handle buggy
    Unicode CMap (cmap4) in CJK Dyna fonts.
  * Applied Akito Hirai's autohinting enhancement for CJK fonts (2003-04-16).

 -- Anthony Fok <foka@debian.org>  Mon, 21 Apr 2003 01:48:07 +0800

freetype (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * The Section for libfreetype6-dev has been changed from devel to libdevel.

 -- Anthony Fok <foka@debian.org>  Tue,  8 Apr 2003 23:28:21 +0800

freetype (2.1.3+2.1.4rc2-5) unstable; urgency=low

  * FreeType 2.1.4 release candidate as of 2003-03-27.
  * The rounding code in FT_Set_Char_Size() has been changed slightly
    from 2.1.3+2.1.4rc2-4.  Please test to see if native TrueType hinting
    (with bytecode interpreter) still looks good.  Thanks!
  * Fine-tuned font->num_indices in ft2demos/src/ftcommon.i by encoding.

 -- Anthony Fok <foka@debian.org>  Mon, 31 Mar 2003 03:47:29 +0800

freetype (2.1.3+2.1.4rc2-4) unstable; urgency=low

  * FreeType 2.1.4rc2 with CVS update as of 2003-03-20.
  * More rounding fixes from Artur Zaprzala.
  * Reverted FT_Set_Char_Size() to forced rounding as before.  This is
    a temporary measure to get bytecode-interpreter hinted fonts display
    properly.

 -- Anthony Fok <foka@debian.org>  Tue, 25 Mar 2003 01:34:15 +0800

freetype (2.1.3+2.1.4rc2-3) unstable; urgency=medium

  * The "Welcome to the world, Lucie Turner!" release.  :-)
  * FreeType 2.1.4rc2 with CVS update as of 2003-03-15.
  * Upstream author David Turner has fixed src/truetype/ttdriver.c
    (Set_Char_Sizes) rounding issues.  The fonts on the screen should
    look good as before now.  (Closes: Bug#181938, #183794, #182674)

 -- Anthony Fok <foka@debian.org>  Sun, 16 Mar 2003 00:05:22 +0800

freetype (2.1.3+2.1.4rc2-2) unstable; urgency=medium

  * Reversed upstream author's 2003-02-25 patch on ttdriver.c:
     - src/truetype/ttdriver.c (Set_Char_Sizes): fixed a rounding bug when
       computing the scale factors for a given character size in points with
       resolution.

    Not sure what how undoing this would affect autohinting, but at least
    rendering with bytecode interpreter is back to normal.  :-)
    (Follow-up: Bug#181938, #183794, #182674, etc.)

  * Tests with David Chester's suggested patches, e.g. symmetric "m".

  * Added a fix for double free in the embedded bitmap code in freetype.
    The bug was crashing OpenOffice.org.  Thanks to Mandrake's Gwenole
    Beauchesne for his suggested fix!  (Follow-up: Bug#183272)

 -- Anthony Fok <foka@debian.org>  Thu, 13 Mar 2003 00:51:09 +0800

freetype (2.1.3+2.1.4rc2-1) unstable; urgency=low

  * FreeType 2.1.4rc2 with CVS update as of 2003-02-28:
     - ft_gzip_file_done memory leak fix.  (May fix #175889, #176138)
     - scaling round-off error fix.  May fix #182674, #181938.
     - infinite loop fix in ftgzip.c.  (Closes: Bug#177439)
  * libfreetype6.postinst: Remove /usr/X11R6/lib/libfreetype.so* leftover
    by some old version of XFree86 package.
  * Added libfreetype6-udeb for the GTK frontend of the debian-installer.
    Many thanks to Sebastian Ley for providing the appropriate patch!
    (Closes: Bug#182208)
  * freetype2-demos now depends on the exact version of libfreetype6.
    (Closes: Bug#151233)

 -- Anthony Fok <foka@debian.org>  Wed,  5 Mar 2003 02:21:46 +0800

freetype (2.1.3-10) unstable; urgency=low

  * FreeType 2.1.4rc1 with CVS update as of 2003-02-18.  (Closes: Bug#179450)
  * Made 008-freetype-2.1.4rc1-ftccmap-ucs4.patch:
      ftc_cmap_family_init() now, like find_unicode_charmap() in ftobjs.c,
      favours UCS-4 charmap if there is one.
  * Made 009-freetype-2.1.4rc1-typo.patch:
      Minor typographical fixes, e.g. asian -> Asian.
  * Made 010-ft2demos-2.1.4rc1-ucs4.patch:
      Let ft2demos handle up to U+10FFFF.

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2003 02:59:12 +0800

freetype (2.1.3-9) unstable; urgency=low

  * Backed out David Turner's modified bluescale implementation (2.1.3-8)
    and put back David Chester's original patch (2.1.3-7) until rendering
    with bytecode interpreter turned on is improved.  (See Bug#179450)

 -- Anthony Fok <foka@debian.org>  Mon,  3 Feb 2003 03:44:56 +0800

freetype (2.1.3-8) unstable; urgency=low

  * CVS update as of 2003-01-31.  David Chester's bluescale patch is now
    implemented upstream.  Also, the excessive debug messages in 2.1.3-7
    should be gone now.

 -- Anthony Fok <foka@debian.org>  Sat,  1 Feb 2003 16:19:44 +0800

freetype (2.1.3-7) unstable; urgency=low

  * CVS update as of 2003-01-22.
  * Added David Chester's latest bluescale2 patch.  (2003-01-23 on the
    FreeType devel mailing list.)

 -- Anthony Fok <foka@debian.org>  Sat, 25 Jan 2003 02:16:52 +0800

freetype (2.1.3-6) unstable; urgency=low

  * Oops, forgot to run aclocal as "aclocal -I ." to search for
    ft-munmap.m4.  Thanks to Werner Lemberg for the note.

 -- Anthony Fok <foka@debian.org>  Sat, 18 Jan 2003 22:45:19 +0800

freetype (2.1.3-5) unstable; urgency=low

  * CVS update as of 2003-01-17.
  * Added a patch to relax table.Length checking because some buggy software
    pads it to a multiple of 4 bytes.
    (007-freetype-2.1.3-ttload-table-length.patch)
  * Updated to latest libtool and regenerate configure so it builds properly
    on mips/mipsel.  Thanks to Ryan Murray for reporting the issue.
    Also forwarded upstream.  (Closes: Bug#176044)

 -- Anthony Fok <foka@debian.org>  Fri, 17 Jan 2003 07:52:25 +0800

freetype (2.1.3-4) unstable; urgency=high

  * Oops, forgot to add the corresponding Depends: zlib1g-dev | libz-dev
    to libfreetype6-dev.  Fixed.  Thanks to Colin Walters for the reminder!
    (Closes: Bug#174019)

 -- Anthony Fok <foka@debian.org>  Mon, 23 Dec 2002 12:51:41 +0800

freetype (2.1.3-3) unstable; urgency=high

  * With the previous CVS update, configure.ac was revised, but autoconf
    was not run, leading to an unsubstituted @LIBZ@ in freetype-config.
    My apologies for the problems it caused.  (Closes: Bug#173834)
  * Patched configure.ac and unix-cc.in to set LDFLAGS=-lz and to ensure
    that libfreetype.so.* is explicitly linked with zlib.
  * Added Build-Dependency: libz-dev, autoconf.  (Note to self: remove
    autoconf later.)

 -- Anthony Fok <foka@debian.org>  Sun, 22 Dec 2002 06:03:03 +0800

freetype (2.1.3-2) unstable; urgency=low

  * CVS updates as of 2002-12-18.

 -- Anthony Fok <foka@debian.org>  Sat, 21 Dec 2002 01:28:23 +0800

freetype (2.1.3-1) unstable; urgency=low

  * New upstream release.
  * Revised my freetype-2.1.3-ttgload-monospace-halfwidth.patch to use
    52% as the threshold.
  * New version supports gzipped PCF fonts.  (Closes: Bug#163207)

 -- Anthony Fok <foka@debian.org>  Mon,  9 Dec 2002 01:36:21 +0800

freetype (2.1.2-10) unstable; urgency=low

  * Turning back on the bytecode interpreter.  Too tired to care now.
    May turn it off again when Xft2 and fontconfig are in Debian.
  * Removed libkpathsea-dev build-dependency.  It was used for the the
    FreeType 1 contributed tools, but those tools were not yet ported
    to FreeType 2.  Also removed the 'debian/\' file.  Thanks to
    P. Doblerman for the bug report.  (Closes: Bug#166064)

 -- Anthony Fok <foka@debian.org>  Thu, 24 Oct 2002 10:17:18 +0800

freetype (2.1.2-9) unstable; urgency=medium

  * By popular demand, disabled the ft-slight patch.  Let's see what happens.
    (Closes: Bug#164477)

 -- Anthony Fok <foka@debian.org>  Thu, 17 Oct 2002 23:37:36 +0800

freetype (2.1.2-8) unstable; urgency=low

  * CVS updates as of 2002-10-07
  * Applied David Chester's ft-slight patch.  Thanks to Roger So for the
    suggestion.  (Closes: Bug#163900)
  * Turned off the bytecode interpreter.

 -- Anthony Fok <foka@debian.org>  Fri, 11 Oct 2002 02:00:18 +0800

freetype (2.1.2-7) unstable; urgency=medium

  * CVS updates as of 2002-09-25
  * Revised ftbench.c to count by num_charcodes (cmap entries) instead of
    face->num_glyphs.
  * Oops, I forgot to uncomment dh_strip after a debug session!
    Thanks to Daniel Burrows for catching this!  (Closes: Bug#162346)

 -- Anthony Fok <foka@debian.org>  Thu, 26 Sep 2002 15:46:31 +0800

freetype (2.1.2-6) unstable; urgency=medium

  * CVS updates as of 2002-09-21 (after VER-2-1-3-RC2)
  * Backported patches that I made for Thiz Linux, as listed below.
  * Do not force horizontal.advance_Width_Max even when
    postscript.isFixedPitch is true so that the ASCII characters in some
    CJK fonts are displayed correctly.
  * Revised my CMap4 patch to take care of tt_cmap4_char_index() and
    tt_cmap4_char_next() too.  (Closes: Bug#161933)
  * ftbench allocates face->num_glyphs, but number of codepoints read
    from CMap4 may be more, causing it to segfault with opens___.ttf.
    Fixed.

 -- Anthony Fok <foka@debian.org>  Wed, 25 Sep 2002 09:45:14 +0800

freetype (2.1.2-5) unstable; urgency=high

  * CVS updates as of 2002-09-05
  * Fixed some typos in ftimage.h introduced in VER-2-1-3-RC1,
    e.g. s/zft_outline_reverse_fill/ft_outline_reverse_fill/
    so that gnome-print may be built properly.  Thanks to
    Rick Younie, Christian Marillat and Kalle Olavi Niemitalo
    for the bug report.  (Closes: Bug#159806)

 -- Anthony Fok <foka@debian.org>  Sun,  8 Sep 2002 23:18:29 +0800

freetype (2.1.2-4) unstable; urgency=high

  * s/FT_ENCODING_SYMBOL/FT_ENCODING_MS_SYMBOL/ (typo) in freetype.h .
    Thanks to Branden Robinson for tracking down the error.
    (Closes: Bug#159375)

 -- Anthony Fok <foka@debian.org>  Tue,  3 Sep 2002 11:35:42 +0800

freetype (2.1.2-3) unstable; urgency=low

  * CVS updates as of 2002-08-29 (around VER-2-1-3-RC1)
  * Make FreeType less strict when some slightly buggy fonts set
    the CMap format 4 last segment idRangeOffset to 0xFFFF.
    Thanks to Werner Lemberg and George Williams for pinpointing the bug.
    (Fixes: Bug#150678, #155864)

 -- Anthony Fok <foka@debian.org>  Mon,  2 Sep 2002 05:53:48 +0800

freetype (2.1.2-2) unstable; urgency=low

  * Added CVS updates as of 2002-08-06.
  * Werner Lemberg (one of the upstream authors) has fixed TTC reading
    problem.  Thanks to Kenshi Muto and Ishikawa Mutsumi for the report.
    (Closes: Bug#154221)
  * An extraneous /usr/X11R6/lib/libfreetype.so (not from this package)
    was the culprit to some of the mysterious segmentation faults
    that some users were experiencing.  Thanks to Akira TAGOH for tracking
    down the problem.  (Closes: Bug#142674, #149472, #149759, #150596)

 -- Anthony Fok <foka@debian.org>  Fri,  9 Aug 2002 02:22:00 +0800

freetype (2.1.2-1) unstable; urgency=low

  * New upstream release with CVS updates as of 2002-07-11.

 -- Anthony Fok <foka@debian.org>  Mon, 15 Jul 2002 02:24:09 +0800

freetype (2.1.1-3) unstable; urgency=medium

  * Sync'ed with CVS as of 2002-06-16.
  * "New version breaks Pango" was fixed by the newly recompiled
    Pango package.  (Thanks, Akira TAGOH!  :-)  (Closes: Bug#150039)
  * Applied patches from Detlef Würkner (003-freetype-type1-cmap.patch,
    004-freetype-select-charmap.patch): the latter one fixes
    the icon-text-disappears-in-Nautilus problem.  Many thanks!
    (Closes: Bug#150084)
  * Applied patch from Sven Neumann (005-freetype-pfr-direction.patch).
    Many thanks!

 -- Anthony Fok <foka@debian.org>  Wed, 19 Jun 2002 01:37:48 +0800

freetype (2.1.1-2) unstable; urgency=low

  * Up'ed versioned dependency to libfreetype6 (>= 2.1.1) because 2.1.1
    introduced some changes that is binary incompatible (but source
    compatible) with previous versions, and Pango needs to be recompiled.
  * Added fixes from CVS as of 2002-06-14.
  * TOP became TOP_DIR

 -- Anthony Fok <foka@debian.org>  Sun, 16 Jun 2002 13:28:33 +0800

freetype (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Added versioned dependency to libfreetype6 (>= 2.1.0).  Thanks to
    Akira TAGOH for the suggestion.  (Closes: Bug#140772, Bug#140821)

 -- Anthony Fok <foka@debian.org>  Fri, 14 Jun 2002 00:51:01 +0800

freetype (2.0.9-1) unstable; urgency=high

  * New upstream release.  Among other enhancements, it contains this
    important fix:

     - Certain fonts, like "foxjump.ttf" contain broken name tables with
       invalid entries and wild offsets.  This caused FreeType to crash when
       trying to load them.

    Kudos to upstream author David Turner for fixing the bug so quickly!

    This bug causes gnome-print to crash for users with certain freeware
    or shareware fonts, so please put in woody.  Thanks!
    (Closes: Bug#135654, Bug#135896)

 -- Anthony Fok <foka@debian.org>  Tue, 12 Mar 2002 01:43:14 +0800

freetype (2.0.8-1) unstable; urgency=medium

  * New upstream version.  Contains a few more important bug fixes.
    Please put in woody.  Thanks!
  * libfreetype6-dev now Depends on libc6-dev | libc-dev
    (Closes: Bug#132640)
  * Uses new configure script so that it builds on the netbsd-i386
    Debian port too.  (Closes: Bug#132693)

 -- Anthony Fok <foka@debian.org>  Wed, 13 Feb 2002 03:35:52 +0800

freetype (2.0.7-1) unstable; urgency=medium

  * New upstream version.  Reportedly fixes a problem that may KDE to
    crash upon reading certain fonts.  (Yes, please put in Debian 3.0).
  * Applied upstream fix to freetype-config.

 -- Anthony Fok <foka@debian.org>  Tue,  5 Feb 2002 03:44:27 +0800

freetype (2.0.6-1) unstable; urgency=low

  * New upstream release with important bug fixes.
  * Removed two Debian small patches as they have been applied upstream.

 -- Anthony Fok <foka@debian.org>  Mon, 14 Jan 2002 01:25:06 +0800

freetype (2.0.5-2) unstable; urgency=low

  * Oops, README and .cvsignore were erroneously placed in /usr/bin in
    freetype2-demos.  Thanks to YAMASHITA Junji for the bug report.
    (Closes: Bug#119119)

 -- Anthony Fok <foka@debian.org>  Sun, 11 Nov 2001 23:55:40 +0800

freetype (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Updated libfreetype6.copyright.
  * Applied patch to builds/unix/freetype-config.in to prevent
    /usr/bin/freetype-config from providing gcc with -L/usr/lib.
    Thanks to Gordon Sadler for providing the patch.  (Closes: Bug#101391)
  * Added /usr/share/aclocal/freetype2.m4 for autoconf and friends.
    in libfreetype6-dev.  Thanks to Marcelo E. Magallon for contributing
    this file.  (Closes: Bug#117156)

 -- Anthony Fok <foka@debian.org>  Sat, 10 Nov 2001 13:10:25 +0800

freetype (2.0.2.20010514-1) unstable; urgency=low

  * New upstream snapshot, post-2.0.2 freetype2-current as of 2001-05-14.
  * Silly me!  I fixed the `missing "xlibs-dev" in Build-Depends'
    in 2.0.2.20010422-2, but closed the wrong bug report!?
    Thanks to Martin Schmitz for the bug report.  (Closes: Bug#95328)
  * libtool-1.4 is not 100% compatible with the libtool-1.3.5 included
    in the upstream source.  Also, it seems to be unnecessary to
    Build-Depends on libtool, therefore removed.
    Thanks to Laurent Bonnaud for the bug report.  (Closes: Bug#97552)
  * [ftoption.h]: #define TT_CONFIG_OPTION_BYTECODE_INTERPRETER

 -- Anthony Fok <foka@debian.org>  Tue, 15 May 2001 16:49:26 -0600

freetype (2.0.2.20010422-2) unstable; urgency=medium

  * Hehe, silly me, I forgot to add "xlibs-dev" to Build-Depends
    when I merged in freetype2-demos.  Thanks to Martin Michlmayr
    for the notice.  Closes: Bug#94569.

 -- Anthony Fok <foka@debian.org>  Thu, 26 Apr 2001 21:20:17 -0600

freetype (2.0.2.20010422-1) unstable; urgency=low

  * Updated to post-2.0.2 freetype2-current as of 2001-04-22.
  * On i386, freetype2-demos is rebuilt with xlibs_4.0.2-13 instead of the
    pre-release xlibs_4.0.3.  My apologies.
  * Replaced "tetex-dev" with "libkpathsea-dev" in Build-Depends.
    Thanks to Michael Schmitz for the bug report.  Closes: Bug#91897.
  * Updated README.Debian to reflect the FreeType 1.x package name
    change from freetype2{,-dev} [sic] to libttf{2,-dev}.

 -- Anthony Fok <foka@debian.org>  Mon, 23 Apr 2001 23:08:51 -0600

freetype (2.0.2.20010412-1) unstable; urgency=low

  * New upstream release, post-2.0.2 freetype2-current as of 2001-04-12.
  * Arnd Bergmann, Tom Kacvinsky et al. pinpointed and fixed a bug
    in FreeType-2.0.2 which caused KDE and "xterm -fa" to segfault.
    Thanks guys!  :-)  Closes: Bug#89326.
  * New binary package: freetype2-demos.
  * The source package reorganized to include three upstream tarballs
    (freetype, ftdocs, ft2demos) in one *.orig.tar.gz.

 -- Anthony Fok <foka@debian.org>  Fri, 13 Apr 2001 02:02:42 -0600

freetype (2.0.1.20010317-1) unstable; urgency=low

  * Updated to freetype2-current as of 2001-03-17.
  * [builds/unix/install.mk]:
     - IMHO, the current upstream source caters too much to broken
       compilers that the Unix build suffers somewhat.
     - Use sed to replace all instances of
       <freetype/{,config/,internal/}*.h>
       with FT2_{PUBLIC,CONFIG,INTERNAL}_FILE(*.h), which currently
       expands to <freetype2/freetype/{,config/,internal/}*.h>
       in freetype/config/ftheader.h and freetype/internal/internal.h.
     - This fix, without sacrificing compatibility on some brain-dead
       compilers on other platforms, may mean that
       "-I/usr/include/freetype2" is no longer needed on Unix/Linux/Hurd
       platforms.
     - But it would be very foolish to remove "-I/usr/include/freetype2".
       Thou shalt always use $(shell freetype-config --cflags).
     - Thanks to Gordon Sadler for the suggestion.  :-)
       Closes: Bug#79951.
  * [builds/unix/ft2unix.h]:
     - Removed the FT2_{PUBLIC,CONFIG,INTERNAL}_FILE macros because
       they are already defined in freetype/config/ftheader.h.
     - Use FT2_ROOT instead.  Afterall, cpp on Unix is not broken.  ;-)
     - Thanks to Takuo Kitame for reporting the conflicting #define's.
       Closes: Bug#89363.
  * [debian/rules]: Moved out some old cruft to rules.museum.

 -- Anthony Fok <foka@debian.org>  Mon, 19 Mar 2001 03:27:14 -0700

freetype (2.0.1.20010312-1) unstable; urgency=low

  * Updated to freetype2-current as of 2001-03-12.
  * [debian/control]:
     - Build-Depends: debhelper (>= 3.0.0), ...
     - Standards-Version: 3.5.2

 -- Anthony Fok <foka@debian.org>  Fri, 16 Mar 2001 02:21:31 -0700

freetype (2.0.1.20010308-1) unstable; urgency=low

  * Updated to freetype2-current as of 2001-03-08.
  * Corrected platform detection on Hurd.  Thanks to Jeff Bailey,
    Werner and David for the fix.  Closes: Bug#87691.

 -- Anthony Fok <foka@debian.org>  Fri,  9 Mar 2001 00:50:12 -0700

freetype (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Anthony Fok <foka@debian.org>  Fri,  1 Dec 2000 17:58:32 -0700

freetype (2.0-1) unstable; urgency=low

  * New upstream FreeType 2 official release.
     - Source package: freetype
     - Binary packages: libfreetype6 and libfreetype6-dev.
    The source package of FreeType 1.3.1 has been renamed to freetype1.
  * [README.Debian]: Documents the source and binary package names,
      and recommends users to migrate to FreeType 2.

 -- Anthony Fok <foka@debian.org>  Mon, 20 Nov 2000 05:16:13 -0700

freetype (1.3.1-1) unstable; urgency=low

  * New official upstream release.
  * [contrib/ttf2pfb/ttf2pfb.c]: Applied patch by fellow Debian developer
      Daniel Jacobowitz to fix a va_arg problem that prevents it from
      building on powerpc.  Thanks a million!  :-)  (closes: Bug#54539)

 -- Anthony Fok <foka@debian.org>  Mon, 10 Jan 2000 06:12:51 -0700

freetype (1.3.1-0) unstable; urgency=low

  * New upstream release candidate (1999-12-08).
  * [debian/rules]: Uses "dh_makeshlibs -V 'freetype2 (>= 1.3.1)'"
      because 1.3 have some new APIs not in 1.2.  Thanks to suggestion
      by ISHIKAWA Mutsumi <ishikawa@linux.or.jp> (closes: Bug#52319).
  * Added new entries for Arphic PL fonts in /etc/ttf2pk/ttfonts.map
  * Modified UBig5.sfd to suit the Big5 Arphic PL fonts.

 -- Anthony Fok <foka@debian.org>  Sun, 12 Dec 1999 11:13:20 -0700

freetype (1.3-2) unstable; urgency=low

  * Corrected the symlink
    /usr/share/doc/freetype2/changelog.gz -> docs/changes.txt
    to -> docs/changes.txt.gz.  (Hehe, major oversight.  :-)
    Thanks to Michael Osamu Shiobara for the bug report.
    (closes: Bug#50428)

 -- Anthony Fok <foka@debian.org>  Wed, 17 Nov 1999 04:10:41 -0700

freetype (1.3-1) unstable; urgency=low

  * New upstream release (libttf.so.2.2.0) with patches as of 1999-10-21.
  * Standards-Version: 3.1.0
  * Removed debian/freetype2-dev.compress because debhelper-2.0.69
    no longer compresses *.png.
  * Backed out the patch applied by Anthony Wong <ypwong@debian.org> to
    contrib/ttf2pfb/configure in freetype_1.2-6.1 because upstream fixed
    ttf2pfb.c to #include "extend/ftxpost.h" rather than "ftxpost.h".
    Nonetheless, thanks for the NMU!  :-)
  * [debian/rules]: FHS-compliancy and general clean-up
      - s/pre-binary/install/g; and removed install-stamp.
      - s!usr/doc!usr/share/doc!g;
      - Referred to the latest /usr/doc/debhelper/examples/rules*
        and used DH_OPTIONS to reduce clutter.
      - Oops!  I used bashism but set "SHELL = /bin/sh".  Changed to
        "SHELL = /bin/bash".  :-)
      - Install upstream docs/changes.txt as changelog.gz in the
        freetype2 (shared library) package.

 -- Anthony Fok <foka@debian.org>  Sun, 14 Nov 1999 01:15:21 -0700

freetype (1.2-6.1) unstable; urgency=low

  * Non-maintainer upload (see bug #38813)
  * Added 'CPPFLAGS= ... -I$srcdir/../../lib/extend' to
    contrib/ttf2pfb/configure, otherwise compile will fail for
    ftxpost.h cannot be found.
  * license.txt.gz is not shipped (lintian complains)

 -- Anthony Wong <ypwong@debian.org>  Thu,  3 Jun 1999 02:04:44 +0800

freetype (1.2-6) unstable; urgency=low

  * Copied debian/postinst to debian/freetype-tools.postinst
    so mktexlsr is (only) run for the freetype-tools package.
    Thanks to Andrew for reporting this bug. (closes: Bug#36502)
  * Added some more font entries to /etc/ttf2pk/ttfonts.map.

 -- Anthony Fok <foka@debian.org>  Thu, 22 Apr 1999 17:54:53 -0600

freetype (1.2-5) unstable; urgency=low

  * Applied upstream freetype-1.2-current.diff.gz as of 1999-04-09.
  * [contrib/ttf2pfb/t1asm.c]: Incorporated patch for glibc 2.1
      donated by Hartmut Koptein <koptein@et-inf.fho-emden.de>.
      (Taken from the t1utils package.  :-)  (closes: Bug#35742)
  * [contrib/ttf2pk/filesrch.c]: Changed "DllImport" to "KPSEDLL"
      (changes between kpathsea 3.2 and 3.3).  Thanks Werner!  :-)
  * [debian/rules]:
      - Replaced the for loop with a more verbose alternative to ensure
        make stops when it encounters an error when building one of the
        contrib programs.
      - Renamed t1asm to t1asm-freetype, and getafm to getafm-freetype,
        until they are merged with the ones in t1utils and psutils.
  * freetype-tools now also Suggests: psutils (>= 1.17-7)

 -- Anthony Fok <foka@debian.org>  Mon, 12 Apr 1999 01:08:23 -0600

freetype (1.2-4) unstable; urgency=low

  * Rebuilt with glibc-2.1 and tetex-lib (shared kpathsea library).
  * [debian/rules]: Changed usr/share/texmf to usr/lib/texmf
      for the new FHS-compliant directory layout in teTeX.
  * [debian/control]: freetype-tools now Suggests: tetex-bin
      (>= 0.9.990310-1), t1utils (>= 1.2-2)

 -- Anthony Fok <foka@debian.org>  Mon,  5 Apr 1999 16:39:08 -0600

freetype (1.2-3) frozen unstable; urgency=low

  * Applied the upstream freetype-1.2-current.diff.gz as of 1999-01-18
    which fixes a nasty Raster bug occurs only when clipping very large
    outlines to a small target bitmap or pixmap.

 -- Anthony Fok <foka@debian.org>  Tue, 19 Jan 1999 22:04:32 -0700

freetype (1.2-2) frozen unstable; urgency=low

  * Applied the upstream freetype-1.2-current.diff.gz as of 1998-12-27
    Mostly bug fixes.
  * Added configure.in and Makefile.in for contrib/{ttf2pfb,ttfbanner},
    so these tools are now included in the freetype-tools package.
  * [debian/control]:
      - Removed the "<" and ">", and added a suggestion
        to Debian-JP's X server with X-TT support in freetype2's
        package description.
      - Now freetype-tools also Suggests: t1utils, which contains
        /usr/bin/t1asm that helps ttf2pfb create real .pfa and .pfb
        files.  (Also added a note in README.Debian.)
  * Updated the upstream authors' e-mail addresses in "control" and
    "copyright."
  * [debian/changelog]: Add the changelog of the freetype (1.1-0.1)
      non-maintainer release done by Marcelo E. Magallon
      <mmagallo@debian.org> in June 1998.  I forgot to do so back
      then.  Sorry!  :-)
  * Renamed debian/compress to debian/freetype2-dev.compress, so *.png
    are no longer compressed to *.png.gz.

 -- Anthony Fok <foka@debian.org>  Tue, 29 Dec 1998 02:16:07 -0700

freetype (1.2-1) frozen unstable; urgency=low

  * New upstream release.
  * Recompiled with libc6 (2.0.7u-7).
  * [debian/control]: Updated to standards version 2.5.0.0 (no changes).
  * [contrib/ttf2pk/configure.in]: Modified the order of the header
      include paths to ensure that "-I./../../lib" is placed before
      "-I/usr/include".  Thanks to Roman.Hodek@informatik.uni-erlangen.de
      for the bug report (forwarded upstream).  (Fixes: #27920)

 -- Anthony Fok <foka@debian.org>  Sat,  5 Dec 1998 15:13:48 -0700

freetype (1.1-1998-09-12-2) unstable; urgency=low

  * [debian/postinst]: Oops, the command "ldconfig" somehow disappeared
      in the last upload.  Fixed.  :-)

 -- Anthony Fok <foka@debian.org>  Sun, 11 Oct 1998 19:58:32 -0600

freetype (1.1-1998-09-12-1) unstable; urgency=low

  * New upstream development snapshot.
  * Added "--with-kpathsea-dir=/usr" to ttf2pk's configure.
  * [debian/rules]:
      - TTF2PKINPUTS = usr/lib/texmf/ttf2pk
      - TTF2TFMINPUTS = usr/lib/texmf/ttf2tfm
      - *.sfd are now installed in $(TTF2PKINPUTS) and $(TTF2TFMINPUTS).
      - $(TTF2PKINPUTS)/ttfonts.map is a symlink to /etc/ttf2pk/ttfonts.map.
  * [debian/freetype-tools.conffiles]: Added /etc/ttf2pk/ttfonts.map.
  * [debian/postinst]: Added #DEBHELPER#.
  * [debian/freetype-tools.postinst]: Runs /usr/bin/mktexlsr if it exists.
  * [debian/control]: freetype-tools now Suggests: tetex-bin (>= 0.9-1).

 -- Anthony Fok <foka@debian.org>  Sat, 12 Sep 1998 19:55:17 -0600

freetype (1.1-1998-08-29-1) unstable; urgency=low

  * New upstream development snapshot.
  * Now installs ttf2bdf and ttf2pk's documentation.
    ttf2pk/ttf2tfm's *.sfd files are now placed in /usr/lib/ttf2tfm.
  * changelog.gz now points to the re-added commitlog.gz.
  * Changed "numGlymphId" to "cmap4->numGlyphId" in lib/extend/ftxcmap.c.

 -- Anthony Fok <foka@debian.org>  Mon, 31 Aug 1998 04:37:57 -0600

freetype (1.1-1) unstable; urgency=low

  * New upstream release.  The old freetype-1.0 source package has been
    renamed to "freetype1" and is now obsolete.
  * Upgraded to standards version 2.4.1.0 (no changes).
  * The package soname has been upgraded from 1 to 2. (libttf.2)
  * Updated the package descriptions according to freetype.spec.
  * Since teTeX 0.9 and the new <kpathsea/kpathsea.h> is in Debian,
    ttf2pk is now compiled and included in freetype-tools.
  * Added postinst to run ldconfig as per Debian Policy.  (Lintian)
  * [debian/control]: Added some package relationships w.r.t. freetype1:
      - freetype2 -- Replaces: freetype1
      - freetype2-dev -- Conflicts: freetype1-dev
  * [debian/rules]:
     - /usr/lib/libttf.la is now installed in the freetype2-dev package.
     - Moved the developer's documentation into the freetype2-dev package.
       Thanks to "Marcelo E. Magallon" <mmagallo@debian.org> for suggestion.
     - Added "--dpkg-shlibdeps-params=-Ldebian/tmp/DEBIAN/shlibs" to
       dh_shlibdeps when packaging freetype-tools.
     - Added patch from /usr/doc/lintian/libtool-workarounds.txt
       to solve the -rpath problem.  Debian's libtool-1.2 handles the -lc
       problem quite nicely already, so that part of the patch is not used.
     - Added a GNU GPL copyright statement at the top.  :-)
  * Ran libtoolize from the Debian libtool-1.2 package.  This solves the
    -lc problem.  :-)  config.guess and config.sub are taken from the ones
    in /usr/share/automake/ though because they are newer.  (Thanks to
    the libtool bug report filed by Jim Pick <jim@jimpick.com> for hints.)
  * Removed debian/README.Debian.

 -- Anthony Fok <foka@debian.org>  Fri, 28 Aug 1998 03:49:21 -0600

freetype (1.1-0.1) unstable; urgency=low

  * New upstream version. Non-maintainer upload (I need this in order to
    build new upstream version of gltt!)
  * Applied patches from previous version.
  * Applied libtool rpath fix patch and removed rpath from compilation
    parameters. Changed ltconfig to provide inter-library dependencies.
  * Upgraded to Standards 2.4.1
  * Changed package name to freetype2 and other control fields accordingly
    (this could be a problem... what about packages that depend on
    freetype1?)
  * Added "Conflitcs: freetype1 (<= 1.0.0.1998-03-22-1)" to freetype-tools
    because of the mo files freetype1 contains and that are now in
    freetype-tools, alogn-side the programs that use the files.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 27 Jun 1998 15:59:36 -0600

freetype (1.0.0.1998-03-22-1) frozen unstable; urgency=low

  * New upstream snapshot bugfix release as of 1998-03-22.
     - ttobjs.c: The storage area is now freed in Instance_Destroy,
       because it's the place it should have been from the very start.
       A very sick bug spotted by Ram. Thanks again !!     - DavidT
     - fixed a nasty allocation bug in ttf2tfm.c
     - corrected a spelling error (strcpy->strcmp) in ttf2pk.c
     - new email address for Werner Lemberg (wl@gnu.org)
     - (again) a stupid error fixed in ttf2pk.c
     - Some fixes to make the package compile smoothless with the make
       program of Solaris.
     - too much fixed in po/Makefile.in.in :-)
  * /usr/doc/freetype/README.gz and /usr/lib/libttf.la are now installed.

 -- Anthony Fok <foka@debian.org>  Wed, 25 Mar 1998 16:18:50 -0700

freetype (1.0.0.1998-03-13-1) unstable; urgency=low

  * New upstream snapshot including upstream patch as of 1998-03-13.

 -- Anthony Fok <foka@debian.org>  Sun, 15 Mar 1998 15:04:10 -0700

freetype (1.0-1) unstable; urgency=low

  * New upstream release (including upstream patch as of 1998-02-17).
  * Updated copyright and README.Debian.
  * Upgraded to standards version 2.4.0.0 (no changes).
  * Enabled gettext support.
  * Added .PHONY targets in Makefile.in's.
  * Added -lc for linking libttf.so* (Reported by Lintian).
  * Various FreeType test programs now have man pages linked to
    /usr/man/man7/undocumented.7.gz (Reported by Lintian).
  * debian/control: Revised package description.
  * debian/rules: Commented out dh_du.
  * Moved /usr/include/freetype/freetype.h to /usr/include/freetype.h.

 -- Anthony Fok <foka@debian.org>  Wed, 18 Feb 1998 01:12:03 -0700

freetype (0.beta.1998.01.06-1) unstable; urgency=low

  * New upstream snapshot release.
  * Thanks to the libtool patch posted by Hirotsugu Kakugawa
    <h.kakugawa@computer.org> on the freetype-devel mailing list
    (and some local tweaking), the Debian freetype package finally
    provides the library and header files!  Hurray!  (Fixes Bug#16365)
  * Splitted the package into freetype0, freetype0-dev and freetype-tools.
  * Added debian/compress to ensure that /usr/doc/freetype0/image/*.png
    are not compressed.
  * Revised README.Debian.

 -- Anthony Fok <foka@debian.org>  Thu,  8 Jan 1998 20:46:14 -0700

freetype (0.beta.1997.12.25-1) unstable; urgency=low

  * New upstream snapshot release.
  * Modified /usr/doc/freetype/copyright to include the new license.txt.
    (Yes, FreeType's license has changed.)
  * Have a blessed Merry Christmas!

 -- Anthony Fok <foka@debian.org>  Fri, 26 Dec 1997 11:26:25 -0700

freetype (0.beta.1997.12.16-1) unstable; urgency=low

  * New upstream release.
  * /usr/bin/ttf_{lint,timer,view,zoom} no longer exists.  The upstream
    authors have renamed them as /usr/bin/{ftlint,fttimer,ftview,ftzoom}
    and have also added other nifty test programs!  :)
  * debian/rules: Switched to debhelper.
  * debian/control: Upgraded Standards-Version to 2.3.0.1 and increased
    Priority to optional.  :)
  * Revised /usr/doc/freetype/copyright.  FreeType is now truly DFSG-free!
    (Fixes Bug#16030)
  * Revised README.Debian.
  * Changed my maintainer e-mail address to <foka@debian.org>.  :)
  * Sorry, the library and header files are not yet included.
    I have yet to learn how.  :)

 -- Anthony Fok <foka@debian.org>  Wed, 17 Dec 1997 03:02:49 -0700

freetype (0.4-4) unstable; urgency=low

  * Corrected the freetype mailing-list server's address from
    "@lists.tu-muenchen.de" to "@lists.lrz-muenchen.de" in the files
    /usr/doc/freetype/readme.1st and license.txt.
  * Improved the package description and added a URL link to the
    FreeType Project Home Page
  * Removed "Keywords", "Primary-site" and "Original-site" from the package's
    description, but kept "Authors" and "Maintained-by" (Closed bug #12510).

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 21 Sep 1997 18:24:42 -0600

freetype (0.4-3) unstable; urgency=low

  * Rebuilt with both libc6 and xlib6g (Fixes bug #12784).
  * Updated to Standards-Version: 2.3.0.0.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Wed, 10 Sep 1997 21:57:20 -0600

freetype (0.4-2) unstable; urgency=low

  * Renamed /usr/bin/{lint,timer,view,zoom} to
    /usr/bin/ttf_{lint,timer,view,zoom} to avoid name conflicts with other
    programs (Fixes bugs #12096, #12136).
  * Closed bug #11193 (freetype AR4 available).

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 19 Aug 1997 17:53:32 -0600

freetype (0.4-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.
  * Updated to Standards-Version: 2.2.0.0.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 11 Aug 1997 08:26:17 -0600

freetype (0.3-1) unstable; urgency=low

  * Upstream update. Sadly the envisioned Christmas target of an X truetype
    rasterizer has been abandoned.

 -- Christoph Lameter <clameter@waterf.org>  Tue, 24 Dec 1996 12:52:24 -0800

freetype (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@waterf.org>  Thu, 7 Nov 1996 11:51:45 -0800
